> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 代币 - 市值

> 获取代币市值



## OpenAPI

````yaml /cn/api-reference/openapi-data-cn.yaml GET /v2/token/{chain}/{tokenAddress}/marketData
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 区块链相关操作
  - name: Token
    description: 代币相关操作
  - name: Trade
    description: 交易相关操作
  - name: Wallet
    description: 钱包相关操作
  - name: Dex
    description: DEX 相关操作
  - name: Ranking
    description: 排行榜相关操作
  - name: DexPool
    description: DEX 池子相关操作
  - name: Watchlist
    description: 关注列表相关操作
  - name: KYT
    description: KYT 相关操作
  - name: Webhook
    description: Webhook 相关操作
  - name: RedPacket
    description: 红包相关操作
  - name: IPFS
    description: IPFS 相关操作
  - name: DexScreener
    description: DexScreener 相关操作
paths:
  /v2/token/{chain}/{tokenAddress}/marketData:
    get:
      tags:
        - Token
      summary: 代币 - 市值
      description: 获取代币市值
      operationId: get.marketData
      parameters:
        - name: chain
          in: path
          description: 支持网络列表中的链名称
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: 代币地址
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: 获取市值
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenMarketData'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenMarketData:
      type: object
      description: Token market data
      properties:
        athMarketCapInUsd:
          type:
            - string
            - 'null'
          description: |-
            ENTITY.TOKEN_MARKET_DATA.ATH_MARKET_CAP_IN_USD
            All-time-high market cap in USD (max observed since token creation).
          example: '9500000.00'
        bluechipHoldingsRatio:
          type:
            - string
            - 'null'
          description: 蓝筹钱包持仓占总供应量比例
          example: '0.05'
        bluechipTotalHolders:
          type:
            - string
            - 'null'
          description: 蓝筹钱包持有者数量
          example: '10'
        bluechipTotalHoldings:
          type:
            - string
            - 'null'
          description: 蓝筹钱包总持仓量
          example: '50000'
        bundleHoldingsRatio:
          type:
            - string
            - 'null'
          description: 捆绑钱包持仓占总供应量比例
          example: '0.018'
        bundleTotalHolders:
          type:
            - string
            - 'null'
          description: 捆绑钱包持有者数量
          example: '12'
        bundleTotalHoldings:
          type:
            - string
            - 'null'
          description: 捆绑钱包总持仓量
          example: '18000'
        circulatingSupply:
          type:
            - string
            - 'null'
          description: 代币流通供应量
          example: '900000'
        completionRatio:
          type:
            - string
            - 'null'
          description: Bonding Curve 完成比例
          example: '1.0'
        creatorsHoldingsRatio:
          type:
            - string
            - 'null'
          description: 创建者钱包持仓占总供应量比例
          example: '0.10'
        creatorsTotalHolders:
          type:
            - string
            - 'null'
          description: 创建者钱包持有者数量
          example: '1'
        creatorsTotalHoldings:
          type:
            - string
            - 'null'
          description: 创建者钱包持仓总量
          example: '100000000.00'
        devHoldingsRatio:
          type:
            - string
            - 'null'
          description: 开发者持仓占总供应量比例
          example: '0.005'
        devTotalHolders:
          type:
            - string
            - 'null'
          description: 开发者钱包持有者数量
          example: '3'
        devTotalHoldings:
          type:
            - string
            - 'null'
          description: 开发者钱包总持仓量
          example: '5000'
        fdvInSol:
          type:
            - string
            - 'null'
          description: 完全稀释估值（原生代币计）
          example: '200000'
        fdvInUsd:
          type:
            - string
            - 'null'
          description: 完全稀释估值（USD 计）
          example: '200000'
        freshHoldingsRatio:
          type:
            - string
            - 'null'
          description: 新钱包持仓占总供应量比例
          example: '0.01'
        freshTotalHolders:
          type:
            - string
            - 'null'
          description: 新钱包持有者数量
          example: '30'
        freshTotalHoldings:
          type:
            - string
            - 'null'
          description: 新钱包总持仓量
          example: '10000'
        holders:
          type:
            - string
            - 'null'
          description: 代币持有者总数
          example: '1000'
        insiderHoldingsRatio:
          type:
            - string
            - 'null'
          description: 内部人持仓占总供应量比例
          example: '0.02'
        insiderTotalHolders:
          type:
            - string
            - 'null'
          description: 内部人钱包持有者数量
          example: '5'
        insiderTotalHoldings:
          type:
            - string
            - 'null'
          description: 内部人钱包总持仓量
          example: '20000'
        kolHoldingsRatio:
          type:
            - string
            - 'null'
          description: KOL 持仓占总供应量比例
          example: '0.03'
        kolTotalHolders:
          type:
            - string
            - 'null'
          description: KOL（意见领袖）持有者数量
          example: '20'
        kolTotalHoldings:
          type:
            - string
            - 'null'
          description: KOL 钱包总持仓量
          example: '30000'
        marketCapInSol:
          type:
            - string
            - 'null'
          description: 市值（原生代币计）
          example: '100000'
        marketCapInUsd:
          type:
            - string
            - 'null'
          description: 市值（USD 计）
          example: '100000'
        maxPoolTvlInSol:
          type:
            - string
            - 'null'
          description: 最大池子 TVL（原生代币计）
          example: '1000.45'
        maxPoolTvlInUsd:
          type:
            - string
            - 'null'
          description: 最大池子 TVL（USD 计）
          example: '150000.00'
        maxSupply:
          type:
            - string
            - 'null'
          description: 代币最大供应量
        phishingHoldingsRatio:
          type:
            - string
            - 'null'
          description: 钓鱼钱包持仓占总供应量比例
          example: '0.0005'
        phishingTotalHolders:
          type:
            - string
            - 'null'
          description: 被标记为钓鱼的持有者数量
          example: '2'
        phishingTotalHoldings:
          type:
            - string
            - 'null'
          description: 被标记为钓鱼的钱包持仓总量
          example: '50000.00'
        priceInNative:
          type:
            - string
            - 'null'
          description: 以链原生代币计价的价格
          example: '0.00000261383847574915906643405542'
        priceInSol:
          type:
            - string
            - 'null'
          description: 代币价格（原生代币计）
          example: '0.00000261383847574915906643405542'
        priceInUsd:
          type:
            - string
            - 'null'
          description: 代币价格（USD 计）
          example: '0.00000261383847574915906643405542'
        proHoldingsRatio:
          type:
            - string
            - 'null'
          description: 专业交易者持仓占总供应量比例
          example: '0.04'
        proTotalHolders:
          type:
            - string
            - 'null'
          description: 专业交易者持有者数量
          example: '25'
        proTotalHoldings:
          type:
            - string
            - 'null'
          description: 专业交易者总持仓量
          example: '40000'
        ratHoldingsRatio:
          type:
            - string
            - 'null'
          description: 老鼠仓钱包持仓占总供应量比例
          example: '0.0012'
        ratTotalHolders:
          type:
            - string
            - 'null'
          description: 老鼠仓持有者数量
          example: '5'
        ratTotalHoldings:
          type:
            - string
            - 'null'
          description: 老鼠仓钱包持仓总量
          example: '120000.00'
        sandwishHoldingsRatio:
          type:
            - string
            - 'null'
          description: 三明治攻击持仓占总供应量比例
          example: '0.015'
        sandwishTotalHolders:
          type:
            - string
            - 'null'
          description: 三明治攻击钱包持有者数量
          example: '8'
        sandwishTotalHoldings:
          type:
            - string
            - 'null'
          description: 三明治攻击钱包总持仓量
          example: '15000'
        smartHoldingsRatio:
          type:
            - string
            - 'null'
          description: 聪明钱钱包持仓占总供应量比例
          example: '0.03'
        smartTotalHolders:
          type:
            - string
            - 'null'
          description: 聪明钱持有者数量
          example: '30'
        smartTotalHoldings:
          type:
            - string
            - 'null'
          description: 聪明钱钱包持仓总量
          example: '3000000.00'
        sniperHoldingsRatio:
          type:
            - string
            - 'null'
          description: 狙击钱包持仓占总供应量比例
          example: '0.025'
        sniperTotalHolders:
          type:
            - string
            - 'null'
          description: 狙击钱包持有者数量
          example: '15'
        sniperTotalHoldings:
          type:
            - string
            - 'null'
          description: 狙击钱包总持仓量
          example: '25000'
        top100HoldingsRatio:
          type:
            - string
            - 'null'
          description: 前 100 持有者占总供应量比例
          example: '0.8'
        top100TotalHolders:
          type:
            - string
            - 'null'
          description: 前 100 持有者数量
          example: '100'
        top100TotalHoldings:
          type:
            - string
            - 'null'
          description: 前 100 持有者总持仓量
          example: '800000'
        top10HoldingsRatio:
          type:
            - string
            - 'null'
          description: 前 10 持有者占总供应量比例
          example: '0.5'
        top10TotalHolders:
          type:
            - string
            - 'null'
          description: 前 10 持有者数量
          example: '10'
        top10TotalHoldings:
          type:
            - string
            - 'null'
          description: 前 10 持有者总持仓量
          example: '500000'
        top50HoldingsRatio:
          type:
            - string
            - 'null'
          description: 前 50 持有者占总供应量比例
          example: '0.3'
        top50TotalHolders:
          type:
            - string
            - 'null'
          description: 前 50 持有者数量
          example: '50'
        top50TotalHoldings:
          type:
            - string
            - 'null'
          description: 前 50 持有者总持仓量
          example: '300000'
        totalSupply:
          type:
            - string
            - 'null'
          description: 代币总供应量
          example: '1000000'
        totalTvlInSol:
          type:
            - string
            - 'null'
          description: 总锁仓量（原生代币计）
          example: '1000000.45'
        totalTvlInUsd:
          type:
            - string
            - 'null'
          description: 总锁仓量（USD 计）
          example: '1000000.45'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````